# &kde; kasutaja käsiraamat

2005-09-08
KDE töökeskkond
kabcclient
1

# kabcclient

&kde; aadressiraamatu käsureaklient

    kabcclient  -A -R -M -S -L  --match-case --nosave -ic koodek -if vorming -if-opts vorminguvõtmed -oc koodek -of vorming -of-opts vorminguvõtmed  input-data

## Kirjeldus

`kabcclient` võimaldab &kde; aadressiraamatu kasutamist käsureal, näiteks shelliskriptides. See toetab sisendit standardsisendist või täiendavate käsureaargumentide vahendusel. Väljund kirjutatakse alati standardväljundisse.

## Võtmed

Töörežiimid
  `-A, --add`

    Lisab aadressiraamatusse uue kontakti kirje

  `-R, --remove`

    Eemaldab aadressiraamatust olemasoleva kontakti kirje

  `-M, --merge`

    Ühendab sisendandmed aadressiraamatus olemasoleva kontakti kirjega. Nii saab olemasolevale teabele lisada mis tahes uut teavet

  `-S, --search`

    Otsib aadressiraamatust sobivaid kontakti kirjeid

  `-L, --list`

    Näitab kõiki aadressiraamatu kontakti kirjeid

Sisendi võtmed
  `-ic, --input-codec`

    Edastab sisendteksti määratud tekstikodeeringus. Käsk `-ic` help annab lisateavet sisendi koodekite kohta. Vaikeväärtus on local, mille puhul kasutatakse aktiivset lokaati (locale 5)

  `-if, --input-format`

    Analüüsib sisendteksti määratud vormingu kohaselt. Saadaolevaid vorminguid näitab käsk `-if` help. Vaikeväärtus on search

  Sisendteksti lugemise asemel võib kabcclient näidata dialoogi, kus saab valida sisendi vormingut kasutavad kontaktid

    dialog

  `-if-opts, --input-format-options`

    Valitud sisendi vormingu lisavõtmed. Sõltuvalt vormingust võivad olla kohustuslikud või mitte. Täpsemat teavet annab käsk `-if-opts` help

Väljundi võtmed
  `-oc, --output-codec`

    Edastab väljunditeksti määratud tekstikodeeringus. Käsk `-oc` help annab lisateavet sisendi koodekite kohta. Vaikeväärtus on local, mille puhul kasutatakse aktiivset lokaati (locale 5).

  `-of, --output-format`

    Vormindab väljundteksti määratud vormingu kohaselt. Saadaolevaid vorminguid näitab käsk `-of` help. Vaikeväärtus on vcard

  `-of-opts, --output-format-options`

    Valitud väljundi vormingu lisavõtmed. Sõltuvalt vormingust võivad olla kohustuslikud või mitte. Täpsemat teavet annab käsk `-of-opts` help

Lisavõtmed
  `--match-case`

    Sisendteksti võrdlemisel kontakti kirjetega kasutatakse tõstutundlikku otsingut

  `--nosave`

    Teabe muutmise toimingud, näiteks `-A, -R` või `-M`, sooritatakse ainult mälus, muudatusi ei kirjutata aadressiraamatusse

## Diagnostika

Nagu ikka, tähendab nullstaatusega lõpetamine edu. Sõltuvalt valitud töörežiimist tähendab mittenullstaatusega lõpetamine teatavat probleemi

LISAMISEL
  `1`

    Sisendteksti lugemine nurjus

  `2`

    Sobiva kontakti kirje loomine sisendteksti põhjal nurjus, näiteks kui andmed puudusid või kui sisend oli valitud sisendvormingu jaoks valesti vormindatud

  `3`

    Aadressiraamatu muudatuste salvestamine nurjus. Seda võib põhjustada näiteks mõni teine aadressiraamatu lukustanud rakendus.

EEMALDAMISEL
  `1`

    Sisendteksti lugemine nurjus

  `2`

    Programm ei suutnud eemaldada aadressiraamatust ühtegi kontakti kirjet. Seda võib põhjustada sisendteksti parsimise nurkumine, suutmatus leida aadressiraamatus sobivat kontakti kirjet või enam kui ühe sobiva kontakti kirje leidmine aadressiraamatus. Viimasel juhul kirjutatakse veateade standardveaväljundisse

  `3`

    Aadressiraamatu muudatuste salvestamine nurjus. Seda võib põhjustada näiteks mõni teine aadressiraamatu lukustanud rakendus.

ÜHENDAMISEL
  `1`

    Sisendteksti lugemine nurjus

  `2`

    Programm ei suutnud sisendit ühendada ühegi aadressiraamatu kontakti kirjega. Seda võib põhjustada sisendteksti parsimise nurkumine, suutmatus leida aadressiraamatus sobivat kontakti kirjet või enam kui ühe sobiva kontakti kirje leidmine aadressiraamatus. Viimasel juhul kirjutatakse veateade standardveaväljundisse

  `3`

    Aadressiraamatu muudatuste salvestamine nurjus. Seda võib põhjustada näiteks mõni teine aadressiraamatu lukustanud rakendus.

  OTSIMISEL
  `1`

    Sisendteksti lugemine nurjus

  `2`

    Programm ei leidnud aadressiraamatust ühtegi sobivat kontakti kirjet. Seda võib põhjustada sisendteksti parsimise nurjumine või suutmatus leida aadressiraamatust sobivat kontakti kirjet

## Näited

Kontakti kirje otsimine, kus Joe esimeks nimes või e-posti aadressis

    kabcclient -S Joe

Sama, aga tõstutundlikult

    kabcclient --match-case -S Joe

Sama, aga sisendtekst loetakse standardsisendist

    echo "Joe" | kabcclient --match-case -S

Uue kontakti kirje lisamine, kasutades vormindatud e-posti aadressi andmeid

    kabcclient --nosave --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Sama, aga muudatuse tegeliku salvestamisega aadressiraamatusse

    kabcclient --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Saadaolevate sisendvormingute näitamine

    kabcclient -if help

Saadaolevate väljundvormingute näitamine

    kabcclient -of help

Väljundvormingu 'email' saadaolevate võtmete näitamine

    kabcclient -of email -of-opts help

Kõigi kontaktide kõigi e-posti aadresside näitamine, kus esineb 'Marilyn'

    kabcclient -of email -of-opts allemails -S Marilyn

Kõigi kontakti valimise dialoogis valitud kontaktide eemaldamine

    kabcclient --remove -if dialog

Valitud kontaktide eksport VCard-faili (vaikimisi väljundvorming)

    kabcclient -S -if dialog > contacts.vcf

## Autor

Käesoleva manuaalilehekülje kirjutas Kevin Krammer <kevin.krammer@gmx.at>. Käesolevat dokumenti võib kopeerida, levitada ja/või muuta vastavalt GNU Üldise Avaliku Litsentsi versiooni 2 või uuema versiooni tingimustele, nagu need on avaldanud Free Software Foundation.

Debiani süsteemides leiab GNU Üldise Avaliku Litsentsi täisteksti asukohas /usr/share/common-licenses/GPL.